#!/usr/local/bin/bash
#
# What we do to un-dirty their output:
# gsed -e 's/^.*://'          - just get the data based on line number, ignore typos/case problems with the label
# gsed 's/ *\([^ ]*\) *$/\1/g' - remove leading/trailing spaces
# gawk '/..*/ {print;}'       - remove empty lines (don't use awk as it borks on long lines)

TESTNAME=$1

gsed -e 's/^.*://' |
gsed -e 's/^ *\([^ ]*\) *$/\1/g' |
gawk '/..*/ {print;}' |
case ${TESTNAME} in
	*.unique)
		ghead -n 1
	;;
	*.winning)
		ghead -n 2 | gtail -n 1
	;;
	*.minpegs)
		ghead -n 3 | gtail -n 1
	;;
	*.board)
		gtac | ghead -n -3 | gtac
	;;
	*)
		cat
esac
